#!/usr/bin/perl

use lib qw(lib);

use Test::More qw(no_plan);

use_ok('IkiWiki::Plugin::sar');


%IkiWiki::config = (
    'underlaydir'   =>  't',
    'sar_pagespec'  =>  '*',
    'sar_mainpage'  =>  'sar',
);

my $content = IkiWiki::Plugin::sar::checkconfig();

cmp_ok($content,'=~','ikiwiki.info','load of global dictionary');

# load the test page 
my $source = IkiWiki::readfile('t/test.mdwn');
my $preprocess = IkiWiki::preprocess('test', 'test', $source );

unlike($preprocess, qr{\[\[sar}, "preprocess the test page");

## loop for checking reusability
for my $loop (1..3) {
    print STDOUT "## loop ${loop} ... \n";

    # filter the text page
    $content = IkiWiki::filter('test','test',$preprocess);

    my @_like_regex = (
        [ qr{ikiwiki\.info}, "first replace for the ikiwiki term"   ],
        [ qr{_IkiWiki_}, "second replace for the ikiwiki term"      ],
        [ qr{`plugin`}, "replace for the plugin term"               ],
        [ qr{wp SMTP}, "replace for the SMTP term"                  ],
    );

    foreach my $test (@_like_regex) {
        my ($regex, $description) = @{ $test };

        like($content, $regex, $description);
    }
}

